Subject: [PATCH v2] arm64: KVM: VHE: Context switch MDSCR_EL1

From: [email-masked] (Radim Krčmář)
Date: Thu, 21 Jul 2016 15:49:38 +0200

2016-07-21 14:24+0100, Marc Zyngier:
> On Thu, 21 Jul 2016 15:17:20 +0200
> Radim Kr?m?? <[email-masked]> wrote:
> 
> Hi Radim,
> 
>> 2016-07-19 13:56+0100, Marc Zyngier:
>> > The kprobe enablement work has uncovered that changes made by
>> > a guest to MDSCR_EL1 were propagated to the host when VHE was
>> > enabled, leading to unexpected exception being delivered.
>> > 
>> > Moving this register to the list of registers that are always
>> > context-switched fixes the issue.
>> > 
>> > Fixes: 9c6c35683286 ("arm64: KVM: VHE: Split save/restore of registers shared between guest and host")
>> > Cc: stable at vger.kernel.org #4.6
>> > Reported-by: Tirumalesh Chalamarla <[email-masked]>
>> > Tested-by: Tirumalesh Chalamarla <[email-masked]>
>> > Signed-off-by: Marc Zyngier <[email-masked]>
>> > ---  
>> 
>> I would take this patch to 4.7 directly through the main tree.
>> Are your plans different?
> 
> If you're happy to take it now, that works for me.

The fix is clear, tested, and would go to 4.7.stable.  Better to have it
in 4.7, IMO.

>                                                    I can either send a
> PR right away, or you can apply it directly, whichever works best for
> you.

It is just one patch so I'll apply it and send a pull request to Linus
on Saturday;  less cummulative work that way. :)